using System.Drawing;
using System.ComponentModel;
using FastReport.Utils;

namespace FastReport.Dialog
{
    partial class DateTimePickerControl
    {
        #region Properties
        /// <summary>
        /// This property is not relevant to this class.
        /// </summary>
        [Browsable(false)]
        public override string Text
        {
            get { return base.Text; }
            set { base.Text = value; }
        }
        #endregion

        #region Protected Methods
        /// <inheritdoc/>
        protected override bool ShouldSerializeBackColor()
        {
            return BackColor != SystemColors.Window;
        }

        /// <inheritdoc/>
        protected override bool ShouldSerializeForeColor()
        {
            return ForeColor != SystemColors.WindowText;
        }

        /// <inheritdoc/>
        protected override SelectionPoint[] GetSelectionPoints()
        {
            return new SelectionPoint[] {
                new SelectionPoint(AbsLeft - 2, AbsTop + Height / 2, SizingPoint.LeftCenter),
                new SelectionPoint(AbsLeft + Width + 1, AbsTop + Height / 2, SizingPoint.RightCenter) };
        }
        #endregion

    }
}
